Skip to main content
GET
/
v1
/
downstream-entity-associations
/
licenses
/
dangerously-surplus-lines
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/licenses/dangerously-surplus-lines
{
  "data": {
    "agencyName": "<string>",
    "agencyNpn": "<string>",
    "agencyFein": "<string>",
    "surplusLinesLicenses": [
      {
        "licenseNumber": "<string>",
        "licenseClassName": "<string>",
        "licenseClassCode": "<string>",
        "stateCode": "AL",
        "status": "<string>",
        "issueDate": "2023-11-07T05:31:56Z",
        "nextRenewalDate": "2023-11-07T05:31:56Z",
        "residencyStatus": "<string>",
        "linesOfAuthority": [
          {
            "code": "<string>",
            "name": "<string>",
            "status": "<string>"
          }
        ]
      }
    ]
  },
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Deprecated: This endpoint bypasses validation checks. Use the standard Surplus Lines endpoint instead.
Returns surplus lines license information without validation checks.

Query Parameters

fein
string
required

Federal Employer Identification Number (FEIN) of the agency. Can be provided with or without hyphen (e.g., "12-3456789" or "123456789")

Example:

"12-3456789"

stateCode
string
required

State code (two-letter abbreviation)

Example:

"FL"

Response

Surplus lines licenses by FEIN and state (deprecated)

data
object
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"